openSUSE: 2021:3934-1 important: mozilla-nss | LinuxSecurity.com

Advisories


   openSUSE Security Update: Security update for mozilla-nss
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:3934-1
Rating:             important
References:         #1193170 
Cross-References:   CVE-2021-43527
CVSS scores:
                    CVE-2021-43527 (SUSE): 8.8 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for mozilla-nss fixes the following issues:

   Update to version 3.68.1:

   - CVE-2021-43527: Fixed a Heap overflow in NSS when verifying DER-encoded
     DSA or RSA-PSS signatures (bsc#1193170).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-3934=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libfreebl3-3.68.1-3.61.1
      libfreebl3-debuginfo-3.68.1-3.61.1
      libfreebl3-hmac-3.68.1-3.61.1
      libsoftokn3-3.68.1-3.61.1
      libsoftokn3-debuginfo-3.68.1-3.61.1
      libsoftokn3-hmac-3.68.1-3.61.1
      mozilla-nss-3.68.1-3.61.1
      mozilla-nss-certs-3.68.1-3.61.1
      mozilla-nss-certs-debuginfo-3.68.1-3.61.1
      mozilla-nss-debuginfo-3.68.1-3.61.1
      mozilla-nss-debugsource-3.68.1-3.61.1
      mozilla-nss-devel-3.68.1-3.61.1
      mozilla-nss-sysinit-3.68.1-3.61.1
      mozilla-nss-sysinit-debuginfo-3.68.1-3.61.1
      mozilla-nss-tools-3.68.1-3.61.1
      mozilla-nss-tools-debuginfo-3.68.1-3.61.1

   - openSUSE Leap 15.3 (x86_64):

      libfreebl3-32bit-3.68.1-3.61.1
      libfreebl3-32bit-debuginfo-3.68.1-3.61.1
      libfreebl3-hmac-32bit-3.68.1-3.61.1
      libsoftokn3-32bit-3.68.1-3.61.1
      libsoftokn3-32bit-debuginfo-3.68.1-3.61.1
      libsoftokn3-hmac-32bit-3.68.1-3.61.1
      mozilla-nss-32bit-3.68.1-3.61.1
      mozilla-nss-32bit-debuginfo-3.68.1-3.61.1
      mozilla-nss-certs-32bit-3.68.1-3.61.1
      mozilla-nss-certs-32bit-debuginfo-3.68.1-3.61.1
      mozilla-nss-sysinit-32bit-3.68.1-3.61.1
      mozilla-nss-sysinit-32bit-debuginfo-3.68.1-3.61.1


References:

   https://www.suse.com/security/cve/CVE-2021-43527.html
   https://bugzilla.suse.com/1193170

openSUSE: 2021:3934-1 important: mozilla-nss

December 6, 2021
An update that fixes one vulnerability is now available

Description

This update for mozilla-nss fixes the following issues: Update to version 3.68.1: - CVE-2021-43527: Fixed a Heap overflow in NSS when verifying DER-encoded DSA or RSA-PSS signatures (bsc#1193170).

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2021-3934=1

Package List

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libfreebl3-3.68.1-3.61.1 libfreebl3-debuginfo-3.68.1-3.61.1 libfreebl3-hmac-3.68.1-3.61.1 libsoftokn3-3.68.1-3.61.1 libsoftokn3-debuginfo-3.68.1-3.61.1 libsoftokn3-hmac-3.68.1-3.61.1 mozilla-nss-3.68.1-3.61.1 mozilla-nss-certs-3.68.1-3.61.1 mozilla-nss-certs-debuginfo-3.68.1-3.61.1 mozilla-nss-debuginfo-3.68.1-3.61.1 mozilla-nss-debugsource-3.68.1-3.61.1 mozilla-nss-devel-3.68.1-3.61.1 mozilla-nss-sysinit-3.68.1-3.61.1 mozilla-nss-sysinit-debuginfo-3.68.1-3.61.1 mozilla-nss-tools-3.68.1-3.61.1 mozilla-nss-tools-debuginfo-3.68.1-3.61.1 - openSUSE Leap 15.3 (x86_64): libfreebl3-32bit-3.68.1-3.61.1 libfreebl3-32bit-debuginfo-3.68.1-3.61.1 libfreebl3-hmac-32bit-3.68.1-3.61.1 libsoftokn3-32bit-3.68.1-3.61.1 libsoftokn3-32bit-debuginfo-3.68.1-3.61.1 libsoftokn3-hmac-32bit-3.68.1-3.61.1 mozilla-nss-32bit-3.68.1-3.61.1 mozilla-nss-32bit-debuginfo-3.68.1-3.61.1 mozilla-nss-certs-32bit-3.68.1-3.61.1 mozilla-nss-certs-32bit-debuginfo-3.68.1-3.61.1 mozilla-nss-sysinit-32bit-3.68.1-3.61.1 mozilla-nss-sysinit-32bit-debuginfo-3.68.1-3.61.1

References

https://www.suse.com/security/cve/CVE-2021-43527.html https://bugzilla.suse.com/1193170

Severity
Announcement ID: openSUSE-SU-2021:3934-1
Rating: important
Affected Products: openSUSE Leap 15.3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.